Get a package file
Server:
https://{kibana_url}
- GET /api/fleet/epm/packages/{pkgName}/{pkgVersion}/{filePath}
- GET /s/{space_id}/api/fleet/epm/packages/{pkgName}/{pkgVersion}/{filePath}
Refer to Spaces for more information.
Get the contents of a specific file from a package.
[Required authorization] Route required privileges: integrations-read OR fleet-setup OR fleet-all.
Path Parameters
-
pkgNamestringrequired -
Package name
-
pkgVersionstringrequired -
Package version
-
filePathstringrequired -
File path within the package
Responses
Successful response — returns the file content
Response Type: object
Bad Request
-
attributesobjectrequired -
errorstring -
errorTypestring -
messagestringrequired -
statusCodenumber